Bric::SOAP::ATType(3)

NAME
Bric::SOAP::ATType - SOAP interface (deprecated) to Bricolage element type sets

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-06-09 05:19:39 +0200 (Wed, 09 Jun 2004) $

SYNOPSIS
  use SOAP::Lite;
  import SOAP::Data 'name';

  # setup soap object to login with
  my $soap = new SOAP::Lite
    uri      => 'http://bricolage.sourceforge.net/Bric/SOAP/Auth',
    readable => DEBUG;
  $soap->proxy('http://localhost/soap',
               cookie_jar => HTTP::Cookies->new(ignore_discard => 1));
  # login
  $soap->login(name(username => USER),
               name(password => PASSWORD));

  # set uri for ATType set module
  $soap->uri('http://bricolage.sourceforge.net/Bric/SOAP/ATType');

  # get a list of all element type sets
  my $ids = $soap->list_ids()->result;

DESCRIPTION
This module provides a SOAP interface to manipulating Bricolage element type sets. This interface is deprecated and will be removed in version 1.12.

INTERFACE

  Public Class Methods

list_ids
    This method queries the database for matching element type sets set and returns a list of ids. If no element type sets are found an empty list will be returned.

    This method can accept the following named parameters to specify the search. Some fields support matching and are marked with an (M). The value for these fields will be interpreted as an SQL match expression and will be matched case-insensitively. Other fields must specify an exact string to match. Match fields combine to narrow the search results (via ANDs in an SQL WHERE clause).

    name (M)
        The element type set's name.

    description (M)
        The element type set's description.

    top_level
        Boolean; return all top level element type sets.

    paginated
        Boolean; return all paginated element type sets.

    fixed_url
        Boolean; return all fixed URL element type sets.

    related_story
        Boolean; return all related story element type sets.

    related_media
        Boolean; return all related media element type sets.

    media
        Boolean; return all media element type sets.

    active
        Set false to return deleted element type sets.

    Throws:

    Exception::AP

    Side Effects: NONE

    Notes: NONE

export
    The export method retrieves a set of assets from the database, serializes them and returns them as a single XML document. See Bric::SOAP for the schema of the returned document.

    Accepted paramters are:

    element_type_id
        Specifies a single element_type_id to be retrieved.

    element_type_ids
        Specifies a list of element_type_ids. The value for this option should be an array of integer "element_type_id" assets.

    Throws:

    Exception::AP

    Side Effects: NONE

    Notes: NONE

create
    The create method creates new objects using the data contained in an XML document of the format created by export().

    Returns a list of new ids created in the order of the assets in the document.

    Available options:

    document (required)
        The XML document containing objects to be created. The document must contain at least one asset object.

    Throws:

    Exception::AP

    Side Effects: NONE

    Notes: NONE

update
    The update method updates an asset using the data in an XML document of the format created by export(). A common use of update() is to export() a selected object, make changes to one or more fields and then submit the changes with update().

    Returns a list of new ids created in the order of the assets in the document.

    Takes the following options:

    document (required)
        The XML document where the objects to be updated can be found. The document must contain at least one asset and may contain any number of related asset objects.

    update_ids (required)
        A list of "element_type_id" integers for the assets to be updated. These must match id attributes on asset elements in the document. If you include objects in the document that are not listed in update_ids then they will be treated as in create(). For that reason an update() with an empty update_ids list is equivalent to a create().

    Throws:

    Exception::AP

    Side Effects: NONE

    Notes: NONE

delete
    The delete() method deletes assets. It takes the following options:

    element_type_id
        Specifies a single asset ID to be deleted.

    element_type_ids
        Specifies a list of asset IDs to delete.

    Throws:

    Exception::AP

    Side Effects: NONE

    Notes: NONE

$self->module
    Returns the module name, that is the first argument passed to bric_soap.

is_allowed_param
$pkg->is_allowed_param($param, $method)
    Returns true if $param is an allowed parameter to the $method method.

  Private Class Methods

$pkg->load_asset($args)
    This method provides the meat of both create() and update(). The only difference between the two methods is that update_ids will be empty on create().

$pkg->serialize_asset( writer        => $writer, elementtype_id  => $id, args          => $args)
    Serializes a single element type set object into an <elementtype> using the given writer and args.

AUTHOR
Scott Lanning <lannings@who.int>

SEE ALSO
Bric::SOAP, Bric::SOAP::Asset